Rem Autor: @@Jan Klečka@@
Rem ------------------------------------------------------------------
'~ Term program pro vygenerování veřejného a soukromého klíče karty
Rem ------------------------------------------------------------------
Option Explicit

#Include COMMERR.DEF
#Include ECTERM.DEF
#Include MISC.DEF
#include Funkce.def
#include Card.def
#include BigInt.def

private PrivateKarta$
EEPROM PublicKarta$
private ID_R1$
EEPROM Pamet$




ResetCard : Call CheckSW1SW2()

Rem  Ziskani parametru pro EC
Private Curve As Integer
Call GetCurveIndex (Curve) : Call CheckSW1SW2()

Call ECpSetCurve (Curve) : Call CheckLibError()

 Print "Generuji Klice karty"
 
 Private StartTime As DateTime, EndTime As DateTime, Interval As Long
 Call GetDateTime (StartTime)
 Rem Generovani klicu pro kartu
call generujKlice ()

Call GetDateTime (EndTime)

Interval = TimeInterval (StartTime, EndTime)
print "Klice vygenerovany" ; : Print 0.001 * Interval ; : Print "seconds"







